---
lang: en
title: 'API docs: extension-health.healthcomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.extension-health.healthcomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/extension-health](./extension-health.md) &gt; [HealthComponent](./extension-health.healthcomponent.md) &gt; [(constructor)](./extension-health.healthcomponent._constructor_.md)

## HealthComponent.(constructor)

Constructs a new instance of the `HealthComponent` class

<b>Signature:</b>

```typescript
constructor(application: Application, healthConfig?: HealthConfig);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  application | <code>Application</code> |  |
|  healthConfig | <code>HealthConfig</code> |  |


